# Water My Plants
> This back-end application provides custom endpoints and database storage for a React UI application title "Water-My-Plants", an unique solution to help grow beautiful gardens.
  
### Important Links
* [ ] Heroku Deploy URL 
      https://bw-tt-67-water-my-plants.herokuapp.com/

* [ ] Heroku Git URL 
      https://git.heroku.com/bw-tt-67-water-my-plants.git

* [ ] Swagger API View
      https://bw-tt-67-water-my-plants.herokuapp.com/swagger-ui.html

## CRUD Endpoints
* [ ] CREATE
    - https://bw-tt-67-water-my-plants.herokuapp.com/api/register
    - https://bw-tt-67-water-my-plants.herokuapp.com/api/plants
    
* [ ] READ
    - https://bw-tt-67-water-my-plants.herokuapp.com/api/users
    - https://bw-tt-67-water-my-plants.herokuapp.com/api/users/3
    - https://bw-tt-67-water-my-plants.herokuapp.com/api/users/name/tarah
    - https://bw-tt-67-water-my-plants.herokuapp.com/api/users/name/like/tar
    - https://bw-tt-67-water-my-plants.herokuapp.com/api/plants
    - https://bw-tt-67-water-my-plants.herokuapp.com/api/plants/3
    
  
* [ ] UPDATE (PUT/PATCH)
    - https://bw-tt-67-water-my-plants.herokuapp.com/api/users/3
    - https://bw-tt-67-water-my-plants.herokuapp.com/api/plants/3
 
* [ ] DELETE
    - https://bw-tt-67-water-my-plants.herokuapp.com/api/users/4
    - https://bw-tt-67-water-my-plants.herokuapp.com/api/plants/4

## Features
### MVC Design & Structure
* [ ] Configurations
* [ ] Controllers
* [ ] Exceptions
* [ ] Handlers
* [ ] Models
* [ ] Repositories
* [ ] Services

## Application Tools
### Build System
* [ ] Apache Maven

### Dependencies
* [ ] Spring OAUTH
* [ ] Spring Boot
* [ ] Sprint Security
* [ ] SpringFox Bean Validator
* [ ] SpringFox Swagger2
* [ ] H2 Database
* [ ] PostgreSQL
  
